<!DOCTYPE html>
<html>
<head>
	<title>Activity A</title>
</head>
<em>Science and Engineering Ethics (2001) 7, 231-238</em>
<hr>
<body>

		<h1> <strong> Software Engineering Code of Ethics and Professional Practice</strong></h1>
		<h2> <strong> IEEE-CS/ACM Joint Task Force on Software Engineering Ethics amdd Professional Practices </strong></h2>
		<hr>
		<p><strong>Keywords:</strong> code of ethics, professional responsibility, software engineering
			<br>
			<br>
		<strong>PREAMBLE</strong>
			<br>
			<br>
				The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the fill version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can becaome high-sounding but empty; together, thee aspirations and the details form a cohesive code.
				<br>
				Software engineers shasll commit themselves to making the analysis, specificatios, design, development, testing, and maintenace of software a beneficial and respected profession. In accordance with their comitment to health, safety, and wwelfare of the public, software engineers shall adhere to the following eight Principles
				<br>
				<br>
				<strong>PRINCIPLES</strong>
					<ol>
						<li><em>Public</em>, Software engineers shall act consistently with the public interest.</li>
						<li><em>Client and employer.</em>Software engineers shall act in a manner that is in the best interests of theeir client and employer, consistent with the public interest</li>
						<li><em>Product.</em>Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
						<li><em>Judgement.</em>Software engineers shall maintain integrity and independence in their professional judgement</li>
						<li><em>Management.</em>Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
						<li><em>Profession.</em>Software engineers shall advance the integrity and reputation of the profession consistent with the public interest</li>
						<li><em>Colleague</em>Software engineers shall be ffair to and supportive of their colleagues</li>
						<li><em>Self.</em>Software engineers shall participate in lifelong learning regarding the practice of their profession andd shall promote an ethical approach to the practice of the profession</li>




<p>

</body>
</html>